import { flags } from '@oclif/command';
import { ImageFormat } from '@znetstar/encode-tools-native/lib/EncodeToolsAuto';
import { IEncodeTools } from '@znetstar/encode-tools-native/lib/IEncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { BufferEncodeFlags } from "./encodeBuffer";
export declare type ImageFlags = BufferEncodeFlags & {
    imageFormat: ImageFormat;
};
export declare const ImageOperationFlags: {
    imageFormat: flags.IOptionFlag<ImageFormat>;
};
export default class ConvertImage extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<import("@znetstar/encode-tools/lib/EncodeTools").BinaryEncoding>;
        imageFormat: flags.IOptionFlag<ImageFormat>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: ImageFlags): IEncodeTools;
    run(): Promise<void>;
}
