import { flags } from '@oclif/command';
import { SerializationFormat } from '@znetstar/encode-tools-native/lib/EncodeToolsAuto';
import { IEncodeTools } from '@znetstar/encode-tools-native/lib/IEncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
export declare type SerializationFlags = {
    serializationFormat: SerializationFormat;
};
export declare type ReserializationFlags = {
    inputSerializationFormat: SerializationFormat;
    outputSerializationFormat: SerializationFormat;
};
export declare const ReserializingFlags: {
    inputSerializationFormat: flags.IOptionFlag<SerializationFormat>;
    outputSerializationFormat: flags.IOptionFlag<SerializationFormat>;
};
export declare const SerializingFlags: {
    serializationFormat: flags.IOptionFlag<SerializationFormat>;
};
export declare const DeserializingFlags: {
    serializationFormat: flags.IOptionFlag<SerializationFormat>;
};
export default class ConvertObject extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<import("@znetstar/encode-tools/lib/EncodeTools").BinaryEncoding>;
        inputSerializationFormat: flags.IOptionFlag<SerializationFormat>;
        outputSerializationFormat: flags.IOptionFlag<SerializationFormat>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: ReserializationFlags): IEncodeTools;
    run(): Promise<void>;
}
