import { flags } from '@oclif/command';
import { BinaryEncoding, HashAlgorithm } from '@znetstar/encode-tools-native/lib/EncodeToolsAuto';
import { IEncodeTools } from '@znetstar/encode-tools-native/lib/IEncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { BufferEncodeFlags } from "./encodeBuffer";
export declare type HashFlags = BufferEncodeFlags & {
    algorithm: HashAlgorithm;
};
export declare const HashingFlags: {
    algorithm: flags.IOptionFlag<HashAlgorithm>;
};
export default class Hash extends EncodeToolsBase {
    static description: string;
    static example: string;
    static aliases: string[];
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<BinaryEncoding>;
        algorithm: flags.IOptionFlag<HashAlgorithm>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: HashFlags): IEncodeTools;
    run(): Promise<void>;
}
