import { flags } from '@oclif/command';
import { BinaryEncoding, HashAlgorithm } from '@znetstar/encode-tools-native/lib/EncodeToolsAuto';
import { IEncodeTools } from '@znetstar/encode-tools-native/lib/IEncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { BufferEncodeFlags } from "./encodeBuffer";
import { SerializationFlags } from "./convertObject";
export declare type HashFlags = BufferEncodeFlags & SerializationFlags & {
    algorithm: HashAlgorithm;
};
export default class HashObject extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<BinaryEncoding>;
        serializationFormat: flags.IOptionFlag<import("@znetstar/encode-tools/lib/EncodeTools").SerializationFormat>;
        algorithm: flags.IOptionFlag<HashAlgorithm>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: HashFlags): IEncodeTools;
    run(): Promise<void>;
}
